Subject: Re: What's cooking in git.git (Jun 2021, #02; Sun, 6)

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Wed, 09 Jun 2021 12:06:08 +0200

On Wed, Jun 09 2021, Jeff King wrote:

> On Mon, Jun 07, 2021 at 04:10:17PM +0200, Ævar Arnfjörð Bjarmason wrote:
>
>> > * ab/trace2-squelch-gcc-warning (2021-05-21) 1 commit
>> >   (merged to 'next' on 2021-05-28 at 6c7a015f99)
>> >  + trace2: refactor to avoid gcc warning under -O3
>> >
>> >  Workaround compiler warnings.
>> >
>> >  Will cook in 'next'.
>> 
>> Thanks.
>
> BTW, Ævar, are you planning to fix other -O3 problems? I happened to
> notice some today. One is new in pu (and I sent a message in that
> thread), but two are older. See this message from last year:
>
>   https://lore.kernel.org/git/[email-masked]/
>
> (amusingly, it also mentions your trace2 one!). I'm happy to send
> patches, but I hadn't written them yet, and it occurred to me you might
> already have done so.

There hasn't been much of anything new in pu for a while :)

But no, please beat me to it. That trace2 one was a one-off I was
tackling because I ran into it when compiling revisions under -O3 with
t/perf/.